#!/bin/sh -efu

a= . install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

etcnet_lo_dir="$destdir/etc/net/ifaces/lo"
etcnet_lo_resolvconf="$etcnet_lo_dir/resolv.conf"
resolvconf_file="$destdir/etc/resolvconf.conf"
bind_root="$destdir/var/lib/bind"
bind_local_file="$bind_root/etc/local.conf"
bind_options_file="$bind_root/etc/options.conf"

resolvconf_zones_file="/etc/resolvconf-zones.conf"
resolvconf_options_file="/etc/resolvconf-options.conf"

#setup loopback resolv.conf to local server
[ -d "$etcnet_lo_dir" -a ! -f "$etcnet_lo_resolvconf" ] &&
	echo 'nameserver 127.0.0.1' >"$etcnet_lo_resolvconf"

#zones from resolvconf
grep -qs "^[[:space:]]*include[[:space:]]\+\"$resolvconf_zones_file\"[[:space:]]*;" "$bind_local_file" ||
        printf 'include "%s";\n' "$resolvconf_zones_file" >>"$bind_local_file"
touch "$bind_root/$resolvconf_zones_file"

#comment out old forward and forwarders
sed -i 's|^\([[:space:]]*\)\(//\)\?\([[:space:]]*forward\(ers\)\?[[:space:]]\)|\1//\3|' "$bind_options_file"

#options from resolvconf
grep -qs "^[[:space:]]*include[[:space:]]\+\"$resolvconf_options_file\"[[:space:]]*;" "$bind_options_file" ||
	sed -i '/^[[:space:]]*\/\/[[:space:]]*forwarders[[:space:]]/ a \	include "'"$resolvconf_options_file"'";' "$bind_options_file"
touch "$bind_root$resolvconf_options_file"
